/* Shopper
 * Copyright (C) 2008 David Greaves
 *
 * This software is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#include "shopperList.h"

namespace Shopper
{
	class CChooser : public Gtk::MenuToolButton
	{
	public:
		CChooser() ;
		void Init(List& l) ;

	protected:
		void             on_show_menu();
		
	private:
		void             set_menu();
		void             ChangeCategory(Shopper::List_action action,
										Shopper::List *l,
										Shopper::Category *c,
										Shopper::Item *i);
			
		Shopper::List    *mylist;
		sigc::connection  cat_monitor;
	};
}
